Info
Fill Explanation
Contains the explanation, once solved.
GET
/
v2
/
fill
/
jobs
/
{id}
/
explanation
Explanation
curl --request GET \
--url https://api.solvice.io/v2/fill/jobs/{id}/explanation \
--header 'Authorization: <api-key>'import requests
url = "https://api.solvice.io/v2/fill/jobs/{id}/explanation"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.solvice.io/v2/fill/jobs/{id}/explanation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"score": {
"hardScore": 123,
"mediumScore": 123,
"softScore": 123,
"feasible": true
},
"unresolved": [
{
"score": "<string>"
}
],
"conflicts": [
{
"constraint": "<string>",
"score": "<string>",
"employee": "<string>",
"shift": "<string>",
"skill": "<string>",
"description": "<string>",
"relation": "<string>"
}
],
"alternatives": {}
}Authorizations
Api Key based authentication (apikey)
Path Parameters
Response
200 - application/json
OK
Explains the conflicts of a certain fill solution and the unresolved constraints.
Score of the solution.
Show child attributes
Show child attributes
Unresolved constraints in the solution
Show child attributes
Show child attributes
Conflicts in the solution
Show child attributes
Show child attributes
Alternative employee assignments per shift.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Explanation
